package cn.pluss.platform.mapper;

import cn.pluss.platform.entity.Notice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface NoticeMapper extends BaseMapper<Notice> {

    Notice queryNotice(Notice notice);

    List<Notice> queryNoticeList(Notice notice);

    void saveNotice(Notice notice);

    void updateNotice(Notice notice);

    void deleteNotice(Notice notice);

    List<Integer> queryNoticeId(Map<String, Object> map);

    List<Notice> queryNoticePage(Map<String, Object> map);

    Integer queryNoticePageCount(Map<String, Object> map);

    void saveNoticeBatch(List<Notice> noticeList);
}

